
/*
 *  Copyright (C) 1992-1993 Jeffrey Chilton
 *
 *  Permission is granted to anyone to make or distribute copies of
 *  this program, in any medium, provided that the copyright notice
 *  and permission notice are preserved, and that the distributor
 *  grants the recipient permission for further redistribution as
 *  permitted by this notice.
 *  
 *  Author's E-mail address:  172-9221@mcimail.com
 *  
 */

/* static char *whatstring = "@(#)verbset.h	2.4 JWC"; */

#ifndef VERBSET_H
#define VERBSET_H

/*
 *  VerbSet - A collection of Verbs
 */

typedef struct VerbSet VerbSet;

#include "collect.h"
#include "verb.h"

struct VerbSet
{
    Collection *allVerbs;
};

#if __STDC__

extern VerbSet *VerbSet_new();
extern void VerbSet_addOne(VerbSet *self, Verb *verb);
extern Verb *VerbSet_getOneByName(VerbSet *self, char *name);
extern Verb *VerbSet_getOneFromClass(VerbSet *self, int class);
extern Verb *VerbSet_getOneAtRandom(VerbSet *self);
extern int VerbSet_locateRequired(VerbSet *self);
extern void VerbSet_destroy(VerbSet *self);

#else

extern VerbSet *VerbSet_new();
extern void VerbSet_addOne();
extern Verb *VerbSet_getOneByName();
extern Verb *VerbSet_getOneFromClass();
extern Verb *VerbSet_getOneAtRandom();
extern int VerbSet_locateRequired();
extern void VerbSet_destroy();

#endif

#define VerbSet_getAll(s) ((s)->allVerbs)

#endif

